'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/**
 * Captitalize the first letter of a string
 * @param {string} string - The string to be capitalized
 */
var capitalize = function capitalize(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
};

/**
 * Eliminate orphans from the end of a string, replacing spaces with &nbsp;
 * @param {string} string - The string to be de-orphaned
 * @param {string} [count = 12] - Total char count from end of string in which to replace spaces
 */
var eliminateOrphans = function eliminateOrphans(string, count) {
  var charArray = string.split(''),
      charArrayEnd = charArray.splice(-(count || 12)).map(function (char) {
    return char.match(/\s/) ? '&nbsp;' : char;
  });

  return charArray.concat(charArrayEnd).join('');
};

exports.capitalize = capitalize;
exports.eliminateOrphans = eliminateOrphans;
